Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.edit
Class NameNameClass

    java.lang.Object
      convert.relaxng.edit.SourceObject
          convert.relaxng.edit.Annotated
              convert.relaxng.edit.NameClass
                  convert.relaxng.edit.NameNameClass

All Implemented Interfaces:
  ParsedNameClass

    public class NameNameClass

extends NameClass

Field Summary

Fields inherited from class convert.relaxng.edit.NameClass
`INHERIT_NS`

Constructor Summary
`NameNameClass(java.lang.String namespaceUri, java.lang.String localName)`

Method Summary
`
`<T> T`
` | `accept(NameClassVisitor<T> visitor)`
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getNamespaceUri()`
`java.lang.String` | `getPrefix()` Returns non-empty string or null if there was no prefix.
`boolean` | `mayContainText()`
`void` | `setLocalName(java.lang.String localName)`
`void` | `setNamespaceUri(java.lang.String namespaceUri)`
`void` | `setPrefix(java.lang.String prefix)` prefix must be non-empty string or null if there is no prefix.

Methods inherited from class convert.relaxng.edit.Annotated
`attributeAnnotationsAccept, childElementAnnotationsAccept, followingElementAnnotationsAccept, getAttributeAnnotation, getAttributeAnnotations, getChildElementAnnotations, getContext, getFollowingElementAnnotations, getLeadingComments, leadingCommentsAccept, setContext`

Methods inherited from class convert.relaxng.edit.SourceObject
`getSourceLocation, setSourceLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameNameClass

    public NameNameClass(java.lang.String namespaceUri,
                         java.lang.String localName)

Method Detail

### getNamespaceUri

    public java.lang.String getNamespaceUri()

### setNamespaceUri

    public void setNamespaceUri(java.lang.String namespaceUri)

### getLocalName

    public java.lang.String getLocalName()

### setLocalName

    public void setLocalName(java.lang.String localName)

### getPrefix

    public java.lang.String getPrefix()

  Returns non-empty string or null if there was no prefix.

### setPrefix

    public void setPrefix(java.lang.String prefix)

  prefix must be non-empty string or null if there is no prefix.

### mayContainText

    public boolean mayContainText()

  Overrides:
    `mayContainText` in class `Annotated`

### accept

    public <T> T accept(NameClassVisitor<T> visitor)

  Specified by:
    `accept` in class `NameClass`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD